<?php
/*
# ------------------------------------------------------------------------
# Extensions for Joomla 2.5.x - Joomla 3.x - Joomla 4.x
# ------------------------------------------------------------------------
# Copyright (C) 2011-2020 Ext-Joom.com. All Rights Reserved.
# @license - PHP files are GNU/GPL V2.
# Author: Eco-Joom.com
# Author: Makeev Vladimir
#Author email: v.v.makeev@icloud.com
# Websites:  http://eco-joom.com
# Date modified: 05/05/2020 - 13:00
# ------------------------------------------------------------------------
*/

// no direct access
    defined('_JEXEC') or die;
    error_reporting(E_ALL & ~E_NOTICE);
	//error_reporting(error_reporting() & ~E_NOTICE);
    
     if (!file_exists(JPATH_SITE.'/components/com_jshopping/jshopping.php')){
        JError::raiseError(500,"Please install component \"joomshopping\"");
    } 
	
	require_once (JPATH_SITE.'/components/com_jshopping/lib/factory.php'); 
    require_once (JPATH_SITE.'/components/com_jshopping/lib/functions.php'); 
    
     
    JSFactory::loadCssFiles();
    JSFactory::loadLanguageFile();
    $jshopConfig = JSFactory::getConfig();
    
    $product = &JTable::getInstance('product', 'jshop');
    $cat_str = $params->get('catids',NULL); 
    if (is_array($cat_str)) {    
        $cat_arr = array();
        foreach($cat_str as $key=>$curr){
           if (intval($curr)) $cat_arr[$key] = intval($curr);
        }  
    } else {
        $cat_arr = array();
        if (intval($cat_str)) $cat_arr[] = intval($cat_str);
    }
    $last_prod = $product->getLastProducts($params->get('count_products', 4), $cat_arr);   
    foreach($last_prod as $key=>$value){
        $last_prod[$key]->product_link = SEFLink('index.php?option=com_jshopping&controller=product&task=view&category_id='.$value->category_id.'&product_id='.$value->product_id, 1);
    }
    $noimage = "noimage.gif";
	$document 			= JFactory::getDocument();
	$document->addStyleSheet(JURI::base() . 'modules/mod_ext_jshopping_latest_products/css/default.css');
	$document->addScript(JURI::base() . 'modules/mod_ext_jshopping_latest_products/js/slideitmoo-1.1.js'); 
    $show_image 			= $params->get('show_image',1);
	$item_width				= $params->get('item_width');
	$item_visible			= $params->get('item_visible');
	
    require(JModuleHelper::getLayoutPath('mod_ext_jshopping_latest_products'));        
?>