<?php 
/*
# ------------------------------------------------------------------------
# Extensions for Joomla 2.5.x - Joomla 3.x - Joomla 4.x
# ------------------------------------------------------------------------
# Copyright (C) 2011-2020 Ext-Joom.com. All Rights Reserved.
# @license - PHP files are GNU/GPL V2.
# Author: Eco-Joom.com
# Author: Makeev Vladimir
#Author email: v.v.makeev@icloud.com
# Websites:  http://eco-joom.com
# Date modified: 05/05/2020 - 13:00
# ------------------------------------------------------------------------
*/

// no direct access
defined('_JEXEC') or die; ?>
<script language="javascript" type="text/javascript">
	window.addEvents({
		'domready': function(){
			/* thumbnails example , div containers */
			new SlideItMoo({
						overallContainer: 'ext_jshopping_latest_products_outer',
						elementScrolled: 'ext_jshopping_latest_products_inner',
						thumbsContainer: 'ext_jshopping_latest_products_items',		
						itemsVisible:<?php echo $item_visible; ?>,
						itemsSelector: '.ext_jshopping_latest_products_element',
						itemWidth: <?php echo $item_width; ?>,
						showControls:1});
		}
	});
</script>

<div id="ext_jshopping_latest_products_outer">	
	<div id="ext_jshopping_latest_products_inner">			
		<div id="ext_jshopping_latest_products_items"> 
		<?php foreach($last_prod as $curr){ ?>
		  
		   <div class="ext_jshopping_latest_products_element">
					 
			   <?php if ($show_image) { ?>
			   <div class="item_image">
				   <a href="<?php print $curr->product_link?>"><img src = "<?php print $jshopConfig->image_product_live_path?>/<?php if ($curr->product_thumb_image) print $curr->product_thumb_image; else print $noimage?>" alt="" /></a>
			   </div>
			   <?php } ?>
			   <div class="item_name">
				   <a href="<?php print $curr->product_link?>"><?php print $curr->name?></a>
			   </div>
			   <div class="item_price">
				   <a href="<?php print $curr->product_link?>"><?php print formatprice($curr->product_price);?></a>
			   </div>
		   </div>
				
		<?php } ?>
		</div>
	</div>
</div>